Main Page Class Hierarchy Compound List File List Compound Members File Members

# SUDS_ORIGIN Struct Reference

`#include <sudshead.h>`

List of all members.

## Public Attributes
LG_INT | number
SH_INT | authority
CHAR | version
CHAR | or_status
CHAR | preferred
CHAR | program
CHAR | depcontrl
CHAR | convergence
LG_INT | region
MS_TIME | orgtime
LONLAT | or_lat
LONLAT | or_long
FLOAT | depth
FLOAT | err_horiz
FLOAT | err_depth
FLOAT | res_rms
STRING | crustmodel [6]
SH_INT | gap
FLOAT | nearstat
SH_INT | num_stats
SH_INT | rep_p
SH_INT | used_p
SH_INT | rep_s
SH_INT | used_s
SH_INT | mag_type
SH_INT | rep_m
SH_INT | used_m
FLOAT | magnitude
FLOAT | weight
FLOAT | mag_rms
ST_TIME | effective

## Member Data Documentation

SH_INT SUDS_ORIGIN::authority

| Definition at line 533 of file sudshead.h.

CHAR SUDS_ORIGIN::convergence

| Definition at line 540 of file sudshead.h.

STRING SUDS_ORIGIN::crustmodel[6]

| Definition at line 549 of file sudshead.h.

CHAR SUDS_ORIGIN::depcontrl

| Definition at line 539 of file sudshead.h.

FLOAT SUDS_ORIGIN::depth

| Definition at line 545 of file sudshead.h.

ST_TIME SUDS_ORIGIN::effective

| Definition at line 563 of file sudshead.h.

FLOAT SUDS_ORIGIN::err_depth

| Definition at line 547 of file sudshead.h.

FLOAT SUDS_ORIGIN::err_horiz

| Definition at line 546 of file sudshead.h.

SH_INT SUDS_ORIGIN::gap

| Definition at line 550 of file sudshead.h.

FLOAT SUDS_ORIGIN::mag_rms

| Definition at line 562 of file sudshead.h.

SH_INT SUDS_ORIGIN::mag_type

| Definition at line 557 of file sudshead.h.

FLOAT SUDS_ORIGIN::magnitude

| Definition at line 560 of file sudshead.h.

FLOAT SUDS_ORIGIN::nearstat

| Definition at line 551 of file sudshead.h.

SH_INT SUDS_ORIGIN::num_stats

| Definition at line 552 of file sudshead.h.

LG_INT SUDS_ORIGIN::number

| Definition at line 532 of file sudshead.h.

LONLAT SUDS_ORIGIN::or_lat

| Definition at line 543 of file sudshead.h.

LONLAT SUDS_ORIGIN::or_long

| Definition at line 544 of file sudshead.h.

CHAR SUDS_ORIGIN::or_status

| Definition at line 535 of file sudshead.h.

MS_TIME SUDS_ORIGIN::orgtime

| Definition at line 542 of file sudshead.h.

CHAR SUDS_ORIGIN::preferred

| Definition at line 536 of file sudshead.h.

CHAR SUDS_ORIGIN::program

| Definition at line 537 of file sudshead.h.

LG_INT SUDS_ORIGIN::region

| Definition at line 541 of file sudshead.h.

SH_INT SUDS_ORIGIN::rep_m

| Definition at line 558 of file sudshead.h.

SH_INT SUDS_ORIGIN::rep_p

| Definition at line 553 of file sudshead.h.

SH_INT SUDS_ORIGIN::rep_s

| Definition at line 555 of file sudshead.h.

FLOAT SUDS_ORIGIN::res_rms

| Definition at line 548 of file sudshead.h.

SH_INT SUDS_ORIGIN::used_m

| Definition at line 559 of file sudshead.h.

SH_INT SUDS_ORIGIN::used_p

| Definition at line 554 of file sudshead.h.

SH_INT SUDS_ORIGIN::used_s

| Definition at line 556 of file sudshead.h.

CHAR SUDS_ORIGIN::version

| Definition at line 534 of file sudshead.h.

FLOAT SUDS_ORIGIN::weight

| Definition at line 561 of file sudshead.h.

The documentation for this struct was generated from the following file:

- sudshead.h